function ver_hora()
busca_wifi()
http.get("http://24timezones.com/es_husohorario/madrid_hora_actual.php","temporal.txt")
archivo=io.open("temporal.txt","r+")
txt=archivo:read("*a")
archivo:close()


if txt:find('<span id="currentTime">')!=nil then 
	a,b=txt:find('<span id="currentTime">') 
	txt=txt:sub(b+1,txt:len())
	if txt:find("</span>")!=nil then a=txt:find("</span>") end
	txt=txt:sub(1,a-1)
	for i=1,12 do
		if txt:find(ver_meses[i])!=nil then a,b=txt:find(ver_meses[i]) fecha.day=tonumber(txt:sub(a-5,a-3)) fecha.year=tonumber(txt:sub(b+2,txt:len())) fecha.month=i break end
	end
end
end


function movimiento_ola()
screen.clear(azul_d)
olax=olax+0.5
if olax>480 then olax=0 end
ola:blend(olax,0)
ola:blend(olax-480,0)
end


function reciente()
if #notas>0 then
	if notas[1].d>=fecha.day then morerecent=notas[1].d end
	if #notas>1 then
		for i=2,#notas do
			if notas[i].d>=fecha.day and notas[i].d<morerecent then morerecent=notas[i].d end
		end
	end
else 
	morerecent=9999
end
end


function escribir()
if keyboard==1 then nota=teclado(1,"Escribe tu nota",30,"") else nota=os.osk("Escribe tu nota","",30,1,0) end

if nota!="" then
	archivo=io.open("APP/calendario/notas.lua","a+")
	archivo:write("\nnotas["..#notas+1 .."]={y="..fecha.year..",m="..fecha.month..",d="..meses[diay][diax]..",t='"..nota.."'}")
	archivo:close()
	dofile("APP/calendario/notas.lua")
	anotados[diay][diax]="*"
	reciente()
end
end

function consultar()
if #notas>0 then
	for i=1,#notas do
		note=false
		if notas[i].y==fecha.year and notas[i].m==fecha.month and notas[i].d==tonumber(meses[diay][diax]) then 
			note=true
			os.message(notas[i].t) 
		end
	end
	if not note then os.message("No hay ninguna nota para ese día")  end
else 
	os.message("No hay notas")
end
end

function comprobar(y,x)
	for i=1,#notas do
		if notas[i].y==fecha.year and notas[i].m==fecha.month and notas[i].d==tonumber(meses[y][x]) then 
			anotados[y][x]="*"
		end
	end
end

function tabledias()
conotas=false
if #notas>0 then conotas=true end
vertical=1
for i=1,maximo do
if inicio==8 then vertical=vertical+1 inicio=1 end
meses[vertical][inicio]=i
if conotas then comprobar(vertical,inicio) end
inicio=inicio+1
end
end

function borra_day() 
if #notas>0 then
	for i=1,#notas do
		note=false
		if notas[i].d==tonumber(meses[diay][diax]) then 
			note=true
			anotados[diay][diax]=""
			table.remove(notas,i)
			break
		end
	end
	if not note then os.message("No hay ninguna nota para ese día")  end
else 
	os.message("No hay notas")
end
if note then
	archivo=io.open("APP/calendario/notas.lua","w+")
	archivo:close()
	archivo=io.open("APP/calendario/notas.lua","a+")
	if #notas>0 then
		for i=1,#notas do
			archivo:write("notas["..i.."]={y="..notas[i].y..",m="..notas[i].m..",d="..notas[i].d..",t='"..notas[i].t.."'}\n")
		end
	end
	archivo:close()
	dofile("APP/calendario/notas.lua")
end
reciente()
end

function borra_todo()
archivo=io.open("APP/calendario/notas.lua","w+")
archivo:close()
notas={}
for y=1,#anotados do
	for x=1,#anotados[y] do
		anotados[y][x]=""
	end
end
reciente()
end

function viajar()
fecha.day=1

if keyboard==1 then fecha.year=teclado(2,"Año al que viajar",4,"") else fecha.year=os.osk("Ano al que viajar","",4,1,1) end
if keyboard==1 then fecha.month=teclado(2,"Mes al que viajar",2,"") else fecha.month=os.osk("Mes al que viajar","",2,1,1) end

fecha.year=tonumber(fecha.year)
fecha.month=tonumber(fecha.month)
ver_mes()
end

function ver_mes()
if fecha.month==0 then fecha.year=fecha.year-1 fecha.month=12 end
if fecha.month==13 then fecha.year=fecha.year+1 fecha.month=1 end

tabla=os.date("*t",os.time(fecha))  

maximo=tabla.nodim

if tabla.wday==1 then inicio=7
elseif tabla.wday==2 then inicio=1
elseif tabla.wday==3 then inicio=2
elseif tabla.wday==4 then inicio=3
elseif tabla.wday==5 then inicio=4
elseif tabla.wday==6 then inicio=5
elseif tabla.wday==7 then inicio=6 end

anotados={
{"","","","","","",""},
{"","","","","","",""},
{"","","","","","",""},
{"","","","","","",""},
{"","","","","","",""},
{"","","","","","",""},
}

meses={
{"","","","","","",""},
{"","","","","","",""},
{"","","","","","",""},
{"","","","","","",""},
{"","","","","","",""},
{"","","","","","",""},
}


tabledias()

reciente()
mes=ver_meses[fecha.month]

end